## org.apache.poi.poifs.filesystem
Interface BATManaged

All Known Implementing Classes:
  BlockAllocationTableWriter, NPropertyTable, POIFSDocument, PropertyTable, PropertyTableBase, SmallBlockTableWriter

    public interface BATManaged

This interface defines behaviors for objects managed by the Block Allocation Table (BAT).

Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`int` `countBlocks()` Return the number of BigBlock's this instance uses
`void` `setStartBlock(int index)` Set the start block for this instance

Method Detail

### countBlocks

    int countBlocks()

  Return the number of BigBlock's this instance uses

  Returns:
    count of BigBlock instances

### setStartBlock

    void setStartBlock(int index)

  Set the start block for this instance

  Parameters:
    `index` - index into the array of BigBlock instances making up the the filesystem

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.